Subject: Re: bug#57266: Maintaining the base_line_number cache

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Aug 2022 10:40:08 -0400

> My two cents: I was reading through parts of the newline (cache) code
> last week while I was pondering whether to do the `pos-eol' functions or
> not, and I have to say that I found it pretty impregnable.  So in a way
> I'm relieved to learn that it's (partly) because the code doesn't make
> as much sense as it should.  😀

Side note, just for clarification: the base_line cache code is
independent/unrelated to the newline cache code (tho they deal with
things which are related, obviously).

        Stefan